Subject: [bug#71381] Why is this closed ?

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 26 Jun 2024 15:01:17 -0400

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Wed, Jun 26, 2024 at 10:25:40AM -0400, Leo Famulari wrote:
>> On Mon, Jun 24, 2024 at 04:07:52AM +0000, Ashish SHUKLA via Guix-patches via wrote:
>> > I'm wondering why is this bug report closed, as I don't see any commit
>> > to git derivation in the master branch atm.
>> 
>> This patched was pushed to master as commit 26c0ff98cf4302fc69539272d646c0ef28991991
>> 
>> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=26c0ff98cf4302fc69539272d646c0ef28991991
>> 
>> Now, I see that some other change was included to
>> 'gnu/packages/linux.scm', probably by accident. I'm going to look into
>> that now.
>
> I went ahead and reverted this change to bcc, leaving the Git update in
> place.
>
> Maxim, let us know if I shouldn't have done that, and the bcc change
> should be reinstated.

Seems I had squashed the bcc change in the wrong commit while working on
a stack of patches to commit.  It's still useful (as 'guix lint bcc'
would say), so I've reinstated that in its own commit and the git update
too:

03459ca165 master gnu: git: Update to 2.45.2.
a3b8a9627b gnu: bcc: Add bash-minimal to inputs.

Thanks for the heads-up.

-- 
Maxim